#### D.15.4.7 difformFromPoly

Procedure from library `difform.lib` (see difform_lib).

Usage:
  difform df = f; f poly

Return:
  the differential form of degree 0 defined by f

Remark:
  The given polynomial gets lifted to the differential algebra and the differential form is defined there.

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    ////////////////////////////////////////
    // Construction of differential forms //
    ////////////////////////////////////////
    poly f = 3x3z*(y4-y5) + 2;
    difform df = f;
    df;
    ==> 2+3x3y4z-3x3y5z
    ==>
    // For the construction of more general differential forms,
    // the constructor difformFromPoly is used implicitly:
    difform dg = 3*x*dx - y*dy + dx*dy*dz + 1;
    dg;
    ==> 1+3x*dx+(-y)*dy+dx*dy*dz
    ==>
    kill Omega_R,df,dg,dx,dy,dz;

User manual for Singular version 4.4.1, 2025, generated by texi2html.